use crate::core::*;
use crate::std::tracing::*;

use super::*;

pub struct TestContextTraced;

impl Context for TestContextTraced {
    type T = TracedClass;

    type Fallible = classes::result::ResultFailOver<Self::T>;

    type D = TracedDiagnostic;

    type LookupError<'a> = TestLookupError<'a>;

    fn hash(s: &[u8]) -> Hash {
        TestContextPlain::hash(s)
    }
}
